var push = require('../index.js');

// INIT

const gcmKey = "AIzaSyDnNpFLqxwMzGcHl1CghOcO9CSttgdTqlo"
const keyFile = '/Users/jordi/git/federapps/fcbq/server/push/apn.pem'

push.init({gcmKey, apnCertFile: keyFile, apnKeyFile: keyFile, production: true})


// SAMPLE DATA

const message = "Hi from TinyPush";
const payload = { some: "value" };


const recipients = [
{
	token: '7b47c1c05360c1ad3d5d024b040df0f9d163b6f04dfb725444caa0a7d923af2c',
	platform: 'ios',
	unread: 3
},
{
	token: "fHkYKbnV7nc:APA91bFAsJLn7Js-mk2K0ZQg91QiNKLyxN21yyz64dyLB3UpoBWY_lP1fpV_C5yFJ-KMZt0EDyDhxpVJxBuEyrCYWti7sYBTb76ni5QXZcrX4zjx2JGG9VhCWdbOxIsFk6_sMZJZ3x6W",
	platform: 'android'
}];


// FEEDBACK

push.android.onFeedback(gotFeedback);
push.ios.onFeedback(gotFeedback);

// HANDLER

function gotFeedback(tokensToUpdate, tokensToRemove){

	// Updated tokens. Android only
	// On iOS tokensToUpdate = []
	tokensToUpdate.forEach(entry => { // token is an object

		console.log("FROM", entry.from);
		console.log("TO", entry.to);

		// Update here your database
	});

	// Invalid tokens
	tokensToRemove.forEach(token => { // token is a string

		console.log("REMOVE", token);

		// Remove here from the database
	});
}


// GO

push.batch(recipients, message, payload).then(console.log).catch(console.error);

push.android.send([recipients[1].token], message, payload)
.then(res => {
	console.log(res); // would log: [ { successful: 1, failed: 0 } ]
})
.catch(err => {
	console.error(err); // Unable to connect
});

push.ios.send([recipients[0].token], message, payload, [recipients[0].unread], 'default', 60 * 60 * 24)
.then(res => {
	console.log(res); // would log: [ { successful: 1, failed: 0 } ]
})
.catch(err => {
	console.error(err); // Unable to connect
});

